Skip to main content

Get Affiliate Referral Data(affiliate only)

HTTP Request

  • GET /api/v3/rebate/affiliate/referral

Required Permission: SPOT_ACCOUNT_READ

Weight(IP): 1

Request Parameters

NameTypeMandatoryDescription
startTimelongNoStart time, Unix millisecond timestamp
endTimelongNoEnd time, Unix millisecond timestamp
uidstringNouid
inviteCodestringNoinvite code
pageintNopage
pageSizeintNopageSize,default: 10
timestamplongYestimestamp
signaturestringYessignature

Response Parameters

NameTypeDescription
uidintuid
accountstringaccount email
inviteCodestringinvite code
inviteTimelonginvite time
nickNamestringnickName
firstDepositlongfirst deposit date
firstTradelongfirst trade date
lastDepositlonglast deposit date
lastTradelonglast trade date
depositAmountstringdeposit amount(USDT)
tradingAmountstringtrading amount(USDT)
amountstringcommission amount(USDT)
assetstring0 USDT、1-1,000 USDT、1,000 - 10,000 USDT、 10,000 - 50,000 USDT、50,000 - 100,000 USDT、 100,000 - 500,000 USDT、500,000 - 1,000,000 USDT、 1,000,000 - 5,000,000 USDT、>5,000,000 USDT
withdrawalAmountstringwithdrawal amount(USDT)
identificationintidentification,1: Uncertified, 2: primary, 3: Advanced, 4: Institutional

If startTime and endTime are not provided, the system will query data from T-7 to T by default. The time range for a single query must not exceed 30 days.

Response

{
"success": true,
"code": 0,
"message": null,
"data": {
"pageSize": 10,
"totalCount": 15,
"totalPage": 2,
"currentPage": 1,
"resultList": [
{
"uid": "42469975",
"nickName": null,
"email": "",
"registerTime": 1640275818000,
"inviteCode": "mexc-12201950",
"depositAmount": "0.00000000",
"tradingAmount": "0.00000000",
"commission": "0.00000000",
"firstDepositTime": null,
"firstTradeTime": null,
"lastDepositTime": null,
"lastTradeTime": null,
"withdrawAmount": "0.00000000",
"asset": "0 USDT",
"identification": 1
}
]
}
}